using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CuXiao.CuXiaoChaXunFenXi
{
    public partial class W_CuXiaoChaXunFenXi
    {
        public W_CuXiaoChaXunFenXi()
        {

        }
        public override void OnLoad()
        {
            //base.OnLoad();
            //SafeDS ds = new SafeDS();
            //ds.DataWindowObject = "dw_cxfa_fasz_list";
            //ds.SetTransaction(this.AdoTransaction);
            //ds.Retrieve();
             //ddlb_cxfs.Items.Add("--请选择--");
            dw_temp.AllowCreate = true;
            A8ERP.Common.DWServiceHelp.AddReportService(dw_list);

            ddlb_cxfs.Items.Add("[01]一般促销设置");
            ddlb_cxfs.Items.Add("[02]买X件让利Y件");
            ddlb_cxfs.Items.Add("[03]买X件打Y折");
            ddlb_cxfs.Items.Add("[04]买X件享受某一特价");
            ddlb_cxfs.Items.Add("[05]买X件送Y件");
            ddlb_cxfs.Items.Add("[06]买X件送Y元赠券");
            ddlb_cxfs.Items.Add("[07]买满X元加Y元送Z件商品");
            ddlb_cxfs.Items.Add("[08]买满X元打Y折");
            ddlb_cxfs.Items.Add("[09]买满X元送Y元赠券");
            ddlb_cxfs.Items.Add("[10]买满X元让利Y元");
            ddlb_cxfs.Items.Add("[11]买满X元送Y元商品");
            ddlb_cxfs.Items.Add("[12]买X件让利Y元");
            ddlb_cxfs.Items.Add("[13]买满X元送某一特定商品");
           
           
            //for (int i = 1; i <= ds.RowCount; i++)
            //{
            //    ddlb_cxfs.Items.Add("[" + ds.GetItemString(i, "fabh") + "]" + ds.GetItemString(i, "famc"));
            //}
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
            }
        }
    }
}
